## elk 3.0

=== Makefile ===
# SUBDIRS lists the components of Elk that are compiled and installed by
# running "make" and "make install".  The subdirectory "src" holds the
# interpreter proper; a mininum configuration requires the SUBDIRS include,
# scripts, src, and scm.
#
# Subdirectories if lib/ hold the standard extensions.  Delete them or
# parts of them from SUBDIRS if you don't want them to be compiled and
# installed; delete lib/xm and lib/xm/xt if you don't have Motif on your
# system.

SUBDIRS= include\
	 scripts\
	 src\
	 scm\
	 lib/misc\
	 lib/unix\
	 lib/xlib\
	 lib/xt\
	 lib/xaw\
	 lib/xm\
	 lib/xm/xt

# ----------------------------------------------------------------------

SHELL= /bin/sh
MAKE=  make
GTAR=  gtar
TAR=   tar
GZIP=  gzip
ZIP=   zip

default:
	@for i in $(SUBDIRS) ;\
	do \
	    echo Making $$i...; \
	    ( cd $$i ; $(MAKE) ) || exit $$?; \
	done

install:
	@for i in $(SUBDIRS) ;\
	do \
	    echo Installing $$i...; \
	    ( cd $$i ; $(MAKE) install ) || exit $$?; \
	done

localize:
	@for i in $(SUBDIRS) ;\
	do \
	    echo Localizing $$i...; \
	    ( cd $$i ; $(MAKE) localize ) || exit $$?; \
	done

lint:
	@for i in $(SUBDIRS) ;\
	do \
	    echo Linting $$i...; \
	    ( cd $$i ; $(MAKE) lint ) || exit $$?; \
	done

clean:
	@for i in $(SUBDIRS) ;\
	do \
	    echo Cleaning $$i...; \
	    ( cd $$i ; $(MAKE) clean ) || exit $$?; \
	done

distclean:
	@for i in $(SUBDIRS) ;\
	do \
	    echo Cleaning $$i...; \
	    ( cd $$i ; $(MAKE) distclean ) || exit $$?; \
	done


# Package up all localized files (Makefile.local, include files, etc.)
# and source files into a zip file (to be compiled on a DOS system).
# The X11 extensions are not included.

LOCALF= Makefile config/system config/site include/*.h lib/misc/Makefile*\
        lib/misc/*.c scm/[a-z]* src/Makefile* `ls -1 src/*.c |grep -v hp9k`

localized.zip:
	$(MAKE) distclean
	$(MAKE) localize
	$(ZIP) -kr $@ $(LOCALF)


# Make a full distribution

DISTF= README ROADMAP CHANGES INSTALL MACHINES COPYRIGHT CONTRIBUTORS\
       PATCHLEVEL TODO BUGS MIGRATE Makefile config doc examples include lib\
       scm scripts src util

dist:
	echo elk-`util/getversion README'` > .rel
	rm -rf `cat .rel`
	mkdir `cat .rel`
	for i in $(DISTF) ;\
	do \
	    (cd `cat .rel`; ln -s ../$$i) \
	done
	if [ -f config/site.dist ]; then \
	    cp config/site config/site.old; \
	    cp config/site.dist config/site; \
	fi
	if [ ! -f ExcludeFiles ]; then \
	    $(TAR) -cvf `cat .rel`.tar -h `cat .rel`; \
	else \
	    $(GTAR) -cvf `cat .rel`.tar -h -X ExcludeFiles `cat .rel`; \
	fi
	$(GZIP) -f `cat .rel`.tar
	rm -rf `cat .rel` .rel
	if [ -f config/site.old ]; then \
	    mv config/site.old config/site; \
	fi

=== include/Makefile ===
SHELL=/bin/sh
MAKE=make

all: default

Makefile.local: ../config/system ../config/site
	$(SHELL) ./build

default: Makefile.local
	$(MAKE) -f Makefile.local

install: Makefile.local
	$(MAKE) -f Makefile.local install

localize: Makefile.local
	$(MAKE) -f Makefile.local localize

lint:

clean:

distclean: Makefile.local
	$(MAKE) -f Makefile.local distclean

=== src/Makefile ===
SHELL=/bin/sh
MAKE=make

all: default

Makefile.local: ../config/system ../config/site
	$(SHELL) ./build

default: Makefile.local
	$(MAKE) -f Makefile.local

install: Makefile.local
	$(MAKE) -f Makefile.local install

localize: Makefile.local

lint: Makefile.local
	$(MAKE) -f Makefile.local lint

clean: Makefile.local
	$(MAKE) -f Makefile.local clean

distclean: Makefile.local
	$(MAKE) -f Makefile.local distclean

=== doc/bitstring/Makefile ===
MANUAL= bitstring
TROFF= groff -ms -t
UNROFF= unroff -ms

$(MANUAL).ps:	$(MANUAL).ms index.ms
	(cat $(MANUAL).ms ../util/tmac.index index.ms; echo ".Tc")\
	    | $(TROFF) 2> /dev/null > $(MANUAL).ps

$(MANUAL).html:	$(MANUAL).ms
	(cat $?; echo ".Tc") | $(UNROFF) document=$(MANUAL)

index.ms:	$(MANUAL).ms index.raw
	sort -f -t# +1 -3 +0n index.raw | awk -f ../util/fixindex.awk\
	    | awk -f ../util/block.awk >index.ms

index.raw:	$(MANUAL).ms
	$(TROFF) $(MANUAL).ms 2> index.raw >/dev/null

check:
	checknr -c.Ul.Pr.Sy.Va.Sh.Ix.Id.Ch -a.Ss.Se.[[.]] $(MANUAL).ms |\
	    grep -v "Empty command"

clean:
	rm -f index.raw index.ms $(MANUAL).ps $(MANUAL).html

=== doc/cprog/Makefile ===
TROFF= groff -ms -t
UNROFF=  unroff -ms
MKINDEX= ../util/mkindex

cprog.ps:	cprog.ms side.ref side.inx
	$(MKINDEX) cprog.ms | sed -f side.ref | $(TROFF) 2> /dev/null > $@

side.ref:	side
	-cp side.ref side.ref.last
	egrep "^s" side | sed "s/\.\//\//" >side.ref

side.inx:	side
	egrep -v "^s" side | sort -f -t# +1 -3 +0n | \
	    awk -f ../util/fixindex.awk | awk -f ../util/block.awk \
	    >side.inx

#	    | sed -e 's/[^"]*()/\\s-1\\f5&\\fP\\s0/' >side.inx

side:	cprog.ms
	touch side.inx
	$(MKINDEX) $? | sed -f side.ref.last | $(TROFF) 2>side >/dev/null

cprog.html:	cprog.ms side.ref
	$(MKINDEX) cprog.ms |sed -f side.ref | $(UNROFF) document=cprog

check:
	cknr -c.Tc -a.Es.Ee.Cs.Ce cprog.ms

clean:
	rm -f side side.ref side.inx cprog.ps cprog.html

=== doc/kernel/Makefile ===
MANUAL= kernel
TROFF= groff -ms -t
UNROFF= unroff -ms

$(MANUAL).ps:	$(MANUAL).ms index.ms
	(cat $(MANUAL).ms ../util/tmac.index index.ms; echo ".Tc")\
	    | $(TROFF) 2> /dev/null > $(MANUAL).ps

$(MANUAL).html:	$(MANUAL).ms
	(cat $?; echo ".Tc") | $(UNROFF) document=$(MANUAL)

index.ms:	$(MANUAL).ms index.raw
	sort -f -t# +1 -3 +0n index.raw | awk -f ../util/fixindex.awk\
	    | awk -f ../util/block.awk >index.ms

index.raw:	$(MANUAL).ms
	$(TROFF) $(MANUAL).ms 2> index.raw >/dev/null

check:
	checknr -c.Ul.Pr.Sy.Va.Sh.Ix.Id.Ch -a.Ss.Se.[[.]] $(MANUAL).ms |\
	    grep -v "Empty command"

clean:
	rm -f index.raw index.ms $(MANUAL).ps $(MANUAL).html

=== doc/man/Makefile ===
TROFF= groff -man -t
UNROFF= unroff -man

elk.ps:	elk.1
	$(TROFF) $? > $@

elk.1.html: elk.1
	$(UNROFF) $?

clean:
	rm -f elk.ps elk.1.html

=== doc/oops/Makefile ===
MANUAL= oops
TROFF= groff -ms -t
UNROFF= unroff -ms

$(MANUAL).ps:	$(MANUAL).ms index.ms
	(cat $(MANUAL).ms ../util/tmac.index index.ms; echo ".Tc")\
	    | $(TROFF) 2> /dev/null > $(MANUAL).ps

$(MANUAL).html:	$(MANUAL).ms
	(cat $?; echo ".Tc") | $(UNROFF) document=$(MANUAL)

index.ms:	$(MANUAL).ms index.raw
	sort -f -t# +1 -3 +0n index.raw | awk -f ../util/fixindex.awk\
	    | awk -f ../util/block.awk >index.ms

index.raw:	$(MANUAL).ms
	$(TROFF) $(MANUAL).ms 2> index.raw >/dev/null

check:
	checknr -c.Ul.Pr.Sy.Va.Sh.Ix.Id.Ch -a.Ss.Se.[[.]] $(MANUAL).ms |\
	    grep -v "Empty command"

clean:
	rm -f index.raw index.ms $(MANUAL).ps $(MANUAL).html

=== doc/record/Makefile ===
MANUAL= record
TROFF= groff -ms -t
UNROFF= unroff -ms

$(MANUAL).ps:	$(MANUAL).ms index.ms
	(cat $(MANUAL).ms ../util/tmac.index index.ms; echo ".Tc")\
	    | $(TROFF) 2> /dev/null > $(MANUAL).ps

$(MANUAL).html:	$(MANUAL).ms
	(cat $?; echo ".Tc") | $(UNROFF) document=$(MANUAL)

index.ms:	$(MANUAL).ms index.raw
	sort -f -t# +1 -3 +0n index.raw | awk -f ../util/fixindex.awk\
	    | awk -f ../util/block.awk >index.ms

index.raw:	$(MANUAL).ms
	$(TROFF) $(MANUAL).ms 2> index.raw >/dev/null

check:
	checknr -c.Ul.Pr.Sy.Va.Sh.Ix.Id.Ch -a.Ss.Se.[[.]] $(MANUAL).ms |\
	    grep -v "Empty command"

clean:
	rm -f index.raw index.ms $(MANUAL).ps $(MANUAL).html

=== doc/regexp/Makefile ===
MANUAL= regexp
TROFF= groff -ms -t
UNROFF= unroff -ms

$(MANUAL).ps:	$(MANUAL).ms index.ms
	(cat $(MANUAL).ms ../util/tmac.index index.ms; echo ".Tc")\
	    | $(TROFF) 2> /dev/null > $(MANUAL).ps

$(MANUAL).html:	$(MANUAL).ms
	(cat $?; echo ".Tc") | $(UNROFF) document=$(MANUAL)

index.ms:	$(MANUAL).ms index.raw
	sort -f -t# +1 -3 +0n index.raw | awk -f ../util/fixindex.awk\
	    | awk -f ../util/block.awk >index.ms

index.raw:	$(MANUAL).ms
	$(TROFF) $(MANUAL).ms 2> index.raw >/dev/null

check:
	checknr -c.Ul.Pr.Sy.Va.Sh.Ix.Id.Ch -a.Ss.Se.[[.]] $(MANUAL).ms |\
	    grep -v "Empty command"

clean:
	rm -f index.raw index.ms $(MANUAL).ps $(MANUAL).html

=== doc/unix/Makefile ===
MANUAL= unix
TROFF= groff -ms -t
UNROFF= unroff -ms

$(MANUAL).ps:	$(MANUAL).ms index.ms
	(cat $(MANUAL).ms ../util/tmac.index index.ms; echo ".Tc")\
	    | $(TROFF) 2> /dev/null > $(MANUAL).ps

$(MANUAL).html:	$(MANUAL).ms
	(cat $?; echo ".Tc") | $(UNROFF) document=$(MANUAL)

index.ms:	$(MANUAL).ms index.raw
	sort -f -t# +1 -3 +0n index.raw | awk -f ../util/fixindex.awk\
	    | awk -f ../util/block.awk >index.ms

index.raw:	$(MANUAL).ms
	$(TROFF) $(MANUAL).ms 2> index.raw >/dev/null

check:
	checknr -c.Ul.Pr.Sy.Va.Sh.Ix.Id.Ch -a.Ss.Se.[[.]] $(MANUAL).ms |\
	    grep -v "Empty command"

clean:
	rm -f index.raw index.ms $(MANUAL).ps $(MANUAL).html

=== doc/usenix/Makefile ===
TROFF= groff -ms
UNROFF= unroff -ms

usenix.ps:	usenix.ms tmp.ref
	sed -f tmp.ref usenix.ms | $(TROFF) 2> /dev/null > usenix.ps

usenix.html:	usenix.ms tmp.ref
	sed -f tmp.ref usenix.ms | $(UNROFF) document=usenix

tmp.ref:	usenix.ms
	$(TROFF) usenix.ms 2> tmp.ref >/dev/null

clean:
	rm -f tmp.ref usenix.ps

## elk 3.99.8

=== debian/changelog ===
elk (3.99.8-10) unstable; urgency=medium

  * QA upload.
  * Build with -std=gnu17 to fix building with GCC 15.  (Closes: #1096572)

 -- Andreas Beckmann <anbe@debian.org>  Thu, 18 Sep 2025 05:07:33 +0200

elk (3.99.8-9) unstable; urgency=medium

  * QA upload.
  * Fix building with libxaw 1.0.16.  (Closes: #1088716)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 23 Dec 2024 01:39:47 +0100

elk (3.99.8-8) unstable; urgency=medium

  * QA upload.
  * Fix building with GCC 14.  (Closes: #1074935)

 -- Andreas Beckmann <anbe@debian.org>  Thu, 29 Aug 2024 10:33:08 +0200

elk (3.99.8-7) unstable; urgency=medium

  * QA upload.
  * Do not skip the testsuite.
  * Override library-not-linked-against-libc for shared modules.
  * Strip static modules.
  * Enable all hardening flags.
  * Build under LC_ALL=C.UTF-8 for reproducible documentation indices.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 05 May 2024 23:15:34 +0200

elk (3.99.8-6) unstable; urgency=medium

  * QA upload.
  * Fix Breaks+Replaces for the 64-bit time_t transition.  (Closes: #1065126)
  * Set Rules-Requires-Root: no.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 05 Mar 2024 16:08:09 +0100

elk (3.99.8-5) unstable; urgency=medium

  * QA upload.
  * Bump Standards-Version to 4.6.2.
  * Bump debhelper compat to v13.
  * debian/: Apply "wrap-and-sort -abst".
  * debian/patches/0005-include-kernel.h-Include-missing-string.h: Add patch
    to fix FTBFS due to using strlen without including string.h.

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + libelk0t64, libelk0-dev: Add Multi-Arch: same.
    + elkdoc: Add Multi-Arch: foreign.
  * Orphan package - see bug 1011569.
  * Remove constraints unnecessary since buster (oldstable):
    + libelk0: Drop conflict with removed package elk (<< 3.99-1) in Conflicts.
    + libelk0: Drop conflict with removed package elk (<< 3.99-1) in Replaces.
    + libelk0-dev: Drop conflict with removed package elk (<< 3.99-1) in
      Conflicts.
    + libelk0-dev: Drop conflict with removed package elk (<< 3.99-1) in
      Replaces.

 -- Boyuan Yang <byang@debian.org>  Wed, 28 Feb 2024 10:55:07 -0500

elk (3.99.8-4.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062536

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Wed, 28 Feb 2024 03:37:48 +0000

elk (3.99.8-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Inject package into Salsa
  * Fix linking with library (thanks for the patch to Juhani Numminen
    <juhaninumminen0@gmail.com>)
    Closes: #906353
  * Add Homepage
  * Add watch file
  * Verified that links are not broken in latest build
    Closes: #715078

 -- Andreas Tille <tille@debian.org>  Fri, 14 Sep 2018 09:08:44 +0200

elk (3.99.8-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Exclude test that is known to fail on i386
    Closes: #798322
  * libeld-dev Depends: libelk0 (= ${binary:Version})
    Closes: #825585

 -- Andreas Tille <tille@debian.org>  Fri, 16 Sep 2016 09:17:06 +0200

elk (3.99.8-4) unstable; urgency=medium

  * Acknowledge the old 3.99.8-2.1 NMU that I accidentally removed
    (Closes: #786368).

 -- Sam Hocevar <sho@debian.org>  Sun, 28 Jun 2015 13:30:05 +0200

elk (3.99.8-3) unstable; urgency=medium

  * Switch to debhelper 9 so that we automatically get hardening flags,
    as well as build-arch and build-indep targets (Closes: #648293).
  * Use dh-autoreconf to fix builds on some platforms (Closes: #733085).
  * Build-depend on libelf-dev instead of libelf0g-dev (Closes: #769430).

  * 100_multiarch.diff: new patch; add multiarch support (Closes: #723298).
  * 200_64-bit-support.diff: new patch; add 64-bit support.
  * 210_hurd.diff: new patch, courtesy of Cyril Roelandt; fix Hurd
    support by not using MAXHOSTNAMELEN (Closes: #672513).


 -- Sam Hocevar <sho@debian.org>  Mon, 04 May 2015 21:25:06 +0200

elk (3.99.8-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Transition from lesstif2 to motif (Closes: #714658).

 -- Luk Claes <luk@debian.org>  Sat, 14 Sep 2013 11:56:24 +0200

elk (3.99.8-2) unstable; urgency=low

  * debian/rules: fix a dh_clean that should really be dh_prep.

 -- Sam Hocevar <sho@debian.org>  Sun, 19 Jun 2011 02:40:55 +0200

elk (3.99.8-1) unstable; urgency=low

  * New upstream release, with newer config.guess and config.sub
    (Closes: #550156).
  * debian/rules: empty dependency_libs in .la files (Closes: #621290). The
    .la files are still necessary for plugin loading.
  * debian/compat: set compat level to 8.
  * debian/prerm: remove now useless prerm fixup.

 -- Sam Hocevar <sho@debian.org>  Sat, 18 Jun 2011 13:49:45 +0200

elk (3.99.7-1) unstable; urgency=low

  * New upstream release.

  * Upstream fixed the build with Xorg 7.0 (Closes: #373572).

  * debian/control:
    + Build-depend on lesstif2-dev instead of lesstif-dev.
    + Build-depend on debhelper (>= 4.0).
    + Set policy to 3.7.2.
  * debian/compat:
    + Set compatibility level to 4.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu,  2 Mar 2006 14:20:10 +0100

elk (3.99.6-4) unstable; urgency=low

  * src/cont.c:
    + Workaround for an amd64 gcc ICE, thanks to Kurt Roeckx (Closes: #308188).
  * debian/control:
    + Set policy to 3.6.2.1.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue,  1 Nov 2005 19:49:42 +0100

elk (3.99.6-3) unstable; urgency=low

  * debian/control:
    + Build-depend on the new X development packages instead of xlibs-dev.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun, 14 Mar 2004 13:09:32 +0100

elk (3.99.6-2) unstable; urgency=low

  * debian/control:
    + Switched back to libelfg0-dev because libelf1-dev was removed from
      unstable (Closes: #225656).
  * debian/rules:
    + Added touch calls to avoid build failures due to clock skews.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed, 31 Dec 2003 18:24:21 +0100



=== debian/control ===
Source: elk
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dpkg-dev (>= 1.22.5),
 groff,
 libelf-dev,
 libgdbm-dev,
 libice-dev,
 libmotif-dev,
 libsm-dev,
 libx11-dev,
 libxaw7-dev (>= 2:1.0.16),
 libxext-dev,
 libxmu-dev,
 libxt-dev,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian/elk
Vcs-Git: https://salsa.debian.org/debian/elk.git
Homepage: http://sam.zoy.org/elk/

Package: elk
Architecture: any
Section: interpreters
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 pact (<= 980714-1),
Description: scheme interpreter
 Elk is an implementation of the Scheme programming language, designed
 specifically as an embeddable, reusable extension language subsystem for
 applications written in C or C++.
 .
 This package contains the Elk Scheme interpreter, as well as several plugins
 shipped with Elk. They provide hooks for Unix system calls, the X Window
 System, as well as the X Athena Widgets and the Motif toolkits. Example
 scripts on how to use these plugins are provided in the elkdoc package.

Package: elkdoc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
Multi-Arch: foreign
Description: documentation for the Extension Language Kit
 Elk is an implementation of the Scheme programming language, designed
 specifically as an embeddable, reusable extension language subsystem for
 applications written in C or C++.
 .
 This package contains the Elk documentation.

Package: libelk0-dev
Architecture: any
Section: libdevel
Depends:
 libelf-dev,
 libelk0t64 (= ${binary:Version}),
 libice-dev,
 libsm-dev,
 libx11-dev,
 libxext-dev,
 libxmu-dev,
 libxt-dev,
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: development files for libelk0t64
 Elk is an implementation of the Scheme programming language, designed
 specifically as an embeddable, reusable extension language subsystem for
 applications written in C or C++.
 .
 This package contains the header files and static library needed to compile
 applications that use libelk0.

Package: libelk0t64
Provides:
 ${t64:Provides},
Breaks:
 libelk0 (<< ${source:Version}),
Replaces:
 libelk0,
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: implementation of Scheme (the Extension Language Kit)
 Elk is an implementation of the Scheme programming language, designed
 specifically as an embeddable, reusable extension language subsystem for
 applications written in C or C++.
 .
 This package contains the libelk0t64 runtime library.

=== debian/rules ===
#!/usr/bin/make -f

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND	 = -std=gnu17

FAIL_ON_I386_TESTS := check-gc

%:
	dh $@

override_dh_auto_build:
	LC_ALL=C.UTF-8 dh_auto_build

execute_after_dh_auto_install:
	sed -i "s/^dependency_libs.*/dependency_libs=''/" \
	   $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/elk/*.la
	rm -f $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la

ifneq (,$(filter %i386,$(DEB_HOST_ARCH)))
execute_before_dh_auto_test:
	# exclude tests known to fail
	for tst in $(FAIL_ON_I386_TESTS) ; do sed -i "/^native_tests = /s/$${tst}//" test/Makefile ; echo "skipping test $${tst} which is known to fail in i386" ; done
endif

# dh_strip only acts on lib*.a
execute_before_dh_strip:
	for a in debian/elk/usr/lib/$(DEB_HOST_MULTIARCH)/elk/*.a ; do mv -v $$a $$(dirname $$a)/lib$$(basename $$a) ; done
execute_after_dh_strip:
	for a in debian/elk/usr/lib/$(DEB_HOST_MULTIARCH)/elk/*.a ; do mv -v $$a $$(dirname $$a)/$$(basename $$a | sed s/^lib//) ; done

=== debian/watch ===
version=4

http://sam.zoy.org/elk/elk@ANY_VERSION@@ARCHIVE_EXT@
